Bug 475661 - Review Request: google-droid-fonts - General-purpose fonts released by Google as part of Android
Review Request: google-droid-fonts - General-purpose fonts released by Google...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
: 493240 (view as bug list)
Depends On: 472635 475593
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2008-12-09 17:56 EST by Nicolas Mailhot
Modified: 2010-06-22 21:41 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.0.112-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-16 17:09:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-12-09 17:56:58 EST
Spec URL: http://nim.fedorapeople.org/fontpackages/google-droid-fonts.spec
SRPM URL: http://nim.fedorapeople.org/fontpackages/google-droid-fonts-1.0.112-1.fc11.src.rpm
Description:
The Droid typeface family was designed in the fall of 2006 by Ascender’s Steve Matteson, as a commission from Google to create a set of system fonts for its Android platform. The goal was to provide optimal quality and comfort on a mobile handset when rendered in application menus, web browsers and for other screen text.

http://fedoraproject.org/wiki/Google_Droid_fonts
Comment 1 Orcan Ogetbil 2009-01-14 14:30:21 EST
I poked around this package for 2 hours now. I couldn't find any blockers. There are two minor things I think I should say:

* Not a blocker but, as I say in all my reviews, I prefer using %defattr(-,root,root,-)

* All fonts (including sans-serif ones) say that they are "Serif" as (OS/2) PFM-Family in fontforge. I think upstream needs notified.

Other than these two, you might want to wait for the subpackage naming decision of FESCO for
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_(2009-01-13)

Otherwise, everything is clean

-----------------------------------------------------
This package (google-droid-fonts) is APPROVED by oget
-----------------------------------------------------
Comment 2 Nicolas Mailhot 2009-01-14 16:53:36 EST
(In reply to comment #1)
> I poked around this package for 2 hours now. I couldn't find any blockers.
> There are two minor things I think I should say:
> 
> * Not a blocker but, as I say in all my reviews, I prefer using
> %defattr(-,root,root,-)

For fonts an explicit defattr is part of the guidelines since there is no reason to have fonts with strange permissions installed :p

> * All fonts (including sans-serif ones) say that they are "Serif" as (OS/2)
> PFM-Family in fontforge. I think upstream needs notified.

Missed this, nice to know, will do

> Other than these two, you might want to wait for the subpackage naming decision
> of FESCO for
> http://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_(2009-01-13)

Since the changes FPC requested didn't affect srpm naming, I'll do the cvs request now.

> -----------------------------------------------------
> This package (google-droid-fonts) is APPROVED by oget
> -----------------------------------------------------

Thank you!

New Package CVS Request
=======================
Package Name: google-droid-fonts
Short Description: General-purpose fonts released by Google as part of Android
Owners: nim
Branches: F-9 F-10
InitialCC: fonts-sig
Comment 3 Kevin Fenzi 2009-01-15 15:26:50 EST
cvs done.
Comment 4 Nicolas Mailhot 2009-01-16 17:09:32 EST
Will let it steam in rawhide a bit before importing in stable releases as it includes CJK fonts and we always seem to get them wrong at first somehow
Comment 5 Rex Dieter 2009-04-01 10:17:37 EDT
*** Bug 493240 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Update System 2009-04-15 14:02:41 EDT
google-droid-fonts-1.0.112-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Mark Chappell 2010-06-22 09:38:53 EDT
Package Change Request
======================
Package Name: google-droid-fonts
New Branches: EL-6
Owners: tremble    

nim listed as welcoming EPEL maintainers.
Comment 8 Nicolas Mailhot 2010-06-22 14:38:58 EDT
BTW if you have time to spend on the Fedora package, co-maintainers are welcome there too
Comment 9 Kevin Fenzi 2010-06-22 21:41:18 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.